# $Revision: 1.8 $, $Date: 2002/09/21 20:59:23 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Exception
%define	pnam	Class
Summary:	Exception::Class - Declare real exception classes in Perl
Summary(pl):	Exception::Class - Zadeklaruj prawdziwe klasy wyjtkw w Perlu
Name:		perl-Exception-Class
Version:	1.07
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.005
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Class-Data-Inheritable >= 0.02
BuildRequires:	perl-Devel-StackTrace >= 1.01
BuildRequires:	perl(Test::More) >= 0.46
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Exception::Class allows you to declare exceptions in your modules
in a manner similar to how exceptions are declared in Java.

%description -l pl
Exception::Class pozwala na deklarowanie w moduach wyjtkw
w sposb podobny do stosowanego w Javie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes LICENSE
%{perl_sitelib}/Exception
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Exception-Class.spec,v $
Revision 1.8  2002/09/21 20:59:23  radek
- version 1.07
STBR

Revision 1.7  2002/08/24 17:05:29  radek
- informative summary/description
- version 1.05, added conditional tests, STBR

Revision 1.6  2002/08/18 12:06:20  blues
- release 4 - license fix; STBR

Revision 1.5  2002/07/29 12:14:24  ankry
- fixed summary

Revision 1.4  2002/07/29 08:30:18  qboosh
- compressed BRs

Revision 1.3  2002/07/28 22:19:25  ankry
- added package names to BR
- commented out %%{__make} test
- release 3

Revision 1.2  2002/07/16 23:34:37  ankry
- translations, cleaning
- added %%{perl_sitelib}/Exception
- fixed License field
- release 2

Revision 1.1  2002/07/15 07:42:14  depesz
- spec by Radosaw Zieliski
